"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require('fs');
const prettier_1 = require("prettier");
const componentRender_util_1 = require("./componentRender.util");
const createComponentFiles = (components, storeConfig, path, appName, exportAppBool) => {
    let dir = path;
    if (exportAppBool === false) {
        if (!dir.match(/components|\*$/)) {
            if (fs.existsSync(`${dir}/src`)) {
                dir = `${dir}/src`;
            }
            dir = `${dir}/components`;
            if (!fs.existsSync(dir)) {
                fs.mkdirSync(dir);
            }
        }
    }
    else if (exportAppBool) {
        if (!dir.match(/${appName}|\*$/)) {
            dir = `${dir}/${appName}/src/components`;
        }
    }
    const promises = [];
    components.forEach((component) => {
        const newPromise = new Promise((resolve, reject) => {
            // console.log('about to write file ', `${dir}/${component.title}.tsx`);
            fs.writeFileSync(`${dir}/${component.title}.tsx`, prettier_1.format(componentRender_util_1.default(component, components, storeConfig.reducers), {
                singleQuote: true,
                trailingComma: 'es5',
                bracketSpacing: true,
                jsxBracketSameLine: true,
                parser: 'typescript'
            }));
        });
        promises.push(newPromise);
    });
    return Promise.all(promises);
};
exports.default = createComponentFiles;
//# sourceMappingURL=createComponentFiles.util.js.map